<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CodingContract](./bitburner.codingcontract.md) &gt; [getData](./bitburner.codingcontract.getdata.md)

## CodingContract.getData() method

Get the input data.

**Signature:**

```typescript
getData(filename: string, host?: string): any;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  filename | string | Filename of the contract. |
|  host | string | _(Optional)_ Hostname/IP of the server containing the contract. Optional. Defaults to current server if not provided. |

**Returns:**

any

The specified contract’s data, data type depends on contract type.

## Remarks

RAM cost: 5 GB

Get the data associated with the specific Coding Contract. Note that this is not the same as the contract’s description. This is just the data that the contract wants you to act on in order to solve the contract.

